<?php

function fn_floor_c($aql)
{
	$data = $aql->Consume(1);
	$val = $data[0]->value;
	
	if (!is_array($val))
	{
		$val = floor($val);
	}
	else
	{
		foreach($val as $v)
		{
			$v = floor($v);
		}
	}
	
	$data[0]->value = $val;
	array_push($aql->stack,$data[0]);
}
?>